LineTokenizer (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: LineTokenizer

# Class LineTokenizer

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.util.LineTokenizer

All Implemented Interfaces:
  `Cloneable, Tokenizer`

public class LineTokenizer extends ProjectComponent implements Tokenizer
class to tokenize the input as lines separated by \r (mac style), \r\n (dos/windows style) or \n (unix style)

Since:
  Ant 1.6

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineTokenizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPostToken()`
  return the string between tokens, after the previous token.
  `String`
  `getToken(Reader in)`
  get the next line from the input
  `void`
  `setIncludeDelims(boolean includeDelims)`
  attribute includedelims - whether to include the line ending with the line, or to return it in the posttoken default false

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LineTokenizer

    public LineTokenizer()

- ## Method Details

  - ### setIncludeDelims

    public void setIncludeDelims(boolean includeDelims)
    attribute includedelims - whether to include the line ending with the line, or to return it in the posttoken default false
    Parameters:
      `includeDelims` - if true include /r and /n in the line

  - ### getToken

    public String getToken(Reader in) throws IOException
    get the next line from the input
    Specified by:
      `getToken` in interface `Tokenizer`
    Parameters:
      `in` - the input reader
    Returns:
      the line excluding /r or /n, unless includedelims is set
    Throws:
      `IOException` - if an error occurs reading

  - ### getPostToken

    public String getPostToken()
    Description copied from interface: `Tokenizer`
    return the string between tokens, after the previous token.
    Specified by:
      `getPostToken` in interface `Tokenizer`
    Returns:
      the line ending character(s) for the current line